// DlgPictArrowFrame.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "DlgPictArrowFrame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCDlgPictArrowFrame _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

CFCDlgPictArrowFrame::CFCDlgPictArrowFrame (CWnd* pParent /*=NULL*/)
	: BASE_CLASS(CFCDlgPictArrowFrame::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFCDlgPictArrowFrame)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
} // CFCDlgPictArrowFrame::CFCDlgPictArrowFrame.

void CFCDlgPictArrowFrame::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCDlgPictArrowFrame)
	DDX_Control(pDX, IDC_FAF_SPN_MIN_ARROW_PEN_WEIGHT, m_spnMinArrowPenWeight);
	DDX_Control(pDX, IDC_FAF_SPN_BOTTOM, m_spnBottom);
	DDX_Control(pDX, IDC_FAF_SPN_RIGHT, m_spnRight);
	DDX_Control(pDX, IDC_FAF_SPN_TOP, m_spnTop);
	DDX_Control(pDX, IDC_FAF_SPN_LEFT, m_spnLeft);
	//}}AFX_DATA_MAP
} // CFCDlgPictArrowFrame::DoDataExchange.

BEGIN_MESSAGE_MAP(CFCDlgPictArrowFrame, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCDlgPictArrowFrame)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_EN_CHANGE(IDC_FAF_EDT_LEFT, OnChangeFafEdtLeft)
	ON_EN_CHANGE(IDC_FAF_EDT_TOP, OnChangeFafEdtTop)
	ON_EN_CHANGE(IDC_FAF_EDT_RIGHT, OnChangeFafEdtRight)
	ON_EN_CHANGE(IDC_FAF_EDT_BOTTOM, OnChangeFafEdtBottom)
	ON_BN_CLICKED(ID_APPLY_NOW, OnApplyNow)
	ON_WM_CTLCOLOR()
	ON_EN_CHANGE(IDC_FAF_EDT_MIN_ARROW_PEN_WEIGHT, OnChangeFafEdtMinArrowPenWeight)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCDlgPictArrowFrame _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

